Java6-plugin hangs firefox - not confirmed

Bug #362861 reported by Brian J. Murrell on 2009-04-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox-3.0 (Ubuntu)
Undecided
Unassigned
sun-java6 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: firefox-3.0

When I tried to restart firefox it loaded all of the windows and tabs I had open and then just hung, long enough that I knew it was deadlocked and not going to make any further progress. I will attach the threaded stack trace.

Steps to reproduce:

Go to this URL: http://www.bobvila.com/DesignTools/DeckDesigner.html and
follow the "Get Started >>" button.

$ apt-cache policy firefox-3.0
firefox-3.0:
  Installed: 3.0.8+nobinonly-0ubuntu3
  Candidate: 3.0.8+nobinonly-0ubuntu3
  Version table:
 *** 3.0.8+nobinonly-0ubuntu3 0
        500 http://apt.interlinx.bc.ca jaunty/main Packages
        100 /var/lib/dpkg/status

$ apt-cache policy sun-java6-jre
sun-java6-jre:
  Installed: 6-13-1
  Candidate: 6-13-1
  Version table:
 *** 6-13-1 0
        500 http://apt.interlinx.bc.ca jaunty/multiverse Packages
        100 /var/lib/dpkg/status
     6-06-0ubuntu1 0
        500 http://archive.ubuntu.com hardy/multiverse Packages

Thank you for your report Brian

Do you think this issue is reproducible? If so, which are the steps to reproduce it?

In addition, can you indicate the version of the firefox package (apt-cache policy firefox-3-0)

TIA

Changed in firefox-3.0 (Ubuntu):
status: New → Incomplete

On Fri, 2009-04-17 at 14:14 +0000, Hilario J. Montoliu (hjmf) wrote:
> Thank you for your report Brian

Welcome.

> Do you think this issue is reproducible?

Absolutely.

> If so, which are the steps to
> reproduce it?

Go to this URL: http://www.bobvila.com/DesignTools/DeckDesigner.html and
follow the "Get Started >>" button.

> In addition, can you indicate the version of the firefox package (apt-
> cache policy firefox-3-0)

$ apt-cache policy firefox-3-0
W: Unable to locate package firefox-3-0
$ apt-cache policy firefox-3.0
firefox-3.0:
  Installed: 3.0.8+nobinonly-0ubuntu3
  Candidate: 3.0.8+nobinonly-0ubuntu3
  Version table:
 *** 3.0.8+nobinonly-0ubuntu3 0
        500 http://apt.interlinx.bc.ca jaunty/main Packages
        100 /var/lib/dpkg/status

You're probably going to want this too:

$ apt-cache policy sun-java6-jre
sun-java6-jre:
  Installed: 6-13-1
  Candidate: 6-13-1
  Version table:
 *** 6-13-1 0
        500 http://apt.interlinx.bc.ca jaunty/multiverse Packages
        100 /var/lib/dpkg/status
     6-06-0ubuntu1 0
        500 http://archive.ubuntu.com hardy/multiverse Packages

Hi Brian,

Can you list your plugins/addons (it would be nice if you atach the files extensions.rdf and pluginreg.dat from your firefox profile (~/.mozilla/firefox/xxxxxxxx.default/)

Also if you have the time, please follow the indications to debug the problem from https://wiki.ubuntu.com/MozillaTeam/Bugs#Crashes Please install the debug symbols packages.

Thank you in advance

... however from your ThreadStacktrace looks to be an issue with your java 6 plugin (/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/i386/libjavaplugin_nscp.so)

description: updated

I'm not able to reproduce the crash with neither sun-java6-plugin nor icedtea6-plugin

LC_ALL=posix apt-cache policy firefox sun-java6-plugin sun-java6-jre sun-java6-bin
firefox:
  Installed: 3.0.8+nobinonly-0ubuntu3
  Candidate: 3.0.8+nobinonly-0ubuntu3
  Version table:
 *** 3.0.8+nobinonly-0ubuntu3 0
        500 http://es.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status
sun-java6-plugin:
  Installed: 6-13-1
  Candidate: 6-13-1
  Version table:
 *** 6-13-1 0
        500 http://es.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status
sun-java6-jre:
  Installed: 6-13-1
  Candidate: 6-13-1
  Version table:
 *** 6-13-1 0
        500 http://es.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status
sun-java6-bin:
  Installed: 6-13-1
  Candidate: 6-13-1
  Version table:
 *** 6-13-1 0
        500 http://es.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status

Please Brien, try to get a symbolized bactrace and attach the files I've requested in a previous post.

Again thank you in advance.

summary: - complete hang
+ Java6-plugin hangs firefox - not confirmed

On Fri, 2009-04-17 at 18:15 +0000, Hilario J. Montoliu (hjmf) wrote:
> I'm not able to reproduce the crash with neither sun-java6-plugin nor
> icedtea6-plugin

So the java application (a deck designer) actually starts and runs?

> LC_ALL=posix apt-cache policy firefox sun-java6-plugin sun-java6-jre sun-java6-bin
> firefox:
> Installed: 3.0.8+nobinonly-0ubuntu3
> Candidate: 3.0.8+nobinonly-0ubuntu3
> Version table:
> *** 3.0.8+nobinonly-0ubuntu3 0
> 500 http://es.archive.ubuntu.com jaunty/main Packages
> 100 /var/lib/dpkg/status
> sun-java6-plugin:
> Installed: 6-13-1
> Candidate: 6-13-1
> Version table:
> *** 6-13-1 0
> 500 http://es.archive.ubuntu.com jaunty/multiverse Packages
> 100 /var/lib/dpkg/status
> sun-java6-jre:
> Installed: 6-13-1
> Candidate: 6-13-1
> Version table:
> *** 6-13-1 0
> 500 http://es.archive.ubuntu.com jaunty/multiverse Packages
> 100 /var/lib/dpkg/status
> sun-java6-bin:
> Installed: 6-13-1
> Candidate: 6-13-1
> Version table:
> *** 6-13-1 0
> 500 http://es.archive.ubuntu.com jaunty/multiverse Packages
> 100 /var/lib/dpkg/status

I have all the same packages installed.

> Please Brien, try to get a symbolized bactrace and attach the files I've requested in a previous post.

How can I do that when the dbg[sym] packages are not in the repository
as I previously wrote?

[ oops. this would be the previous comment that my last comment was
referring to. i guess i didn't hit send. ]

On Fri, 2009-04-17 at 17:44 +0000, Hilario J. Montoliu (hjmf) wrote:
> Hi Brian,

Hi,

> Can you list your plugins/addons (it would be nice if you atach the
> files extensions.rdf and pluginreg.dat from your firefox profile
> (~/.mozilla/firefox/xxxxxxxx.default/)

Attached as requested.

> Also if you have the time, please follow the indications to debug the
> problem from https://wiki.ubuntu.com/MozillaTeam/Bugs#Crashes Please
> install the debug symbols packages.

Like which debug symbols packages? The only ones that apt-cache search
shows me are:

firefox-3.1-dbg - dummy upgrade package for firefox-3.1 -> firefox-3.5
firefox-3.5-dbg - firefox-3.5 debug symbols
libmozjs0d-dbg - Development files for the Mozilla SpiderMonkey JavaScript library
libxul0d-dbg - Development files for the Gecko engine library

and WRT to xulrunner:

$ apt-cache policy xulrunner-1.9-dbgsym
xulrunner-1.9-dbgsym:
  Installed: (none)
  Candidate: (none)
  Version table:
brian@pc:~$ apt-cache policy xulrunner-1.9-dbg
xulrunner-1.9-dbg:
  Installed: (none)
  Candidate: (none)
  Version table:

Seems it's not being packaged for Jaunty.

b.

Brian J. Murrell escribió:
> On Fri, 2009-04-17 at 18:15 +0000, Hilario J. Montoliu (hjmf) wrote:
>> I'm not able to reproduce the crash with neither sun-java6-plugin nor
>> icedtea6-plugin
>
> So the java application (a deck designer) actually starts and runs?
>

Yes, it works fine.

>> LC_ALL=posix apt-cache policy firefox sun-java6-plugin sun-java6-jre sun-java6-bin
>> firefox:
>> Installed: 3.0.8+nobinonly-0ubuntu3
>> Candidate: 3.0.8+nobinonly-0ubuntu3
>> Version table:
>> *** 3.0.8+nobinonly-0ubuntu3 0
>> 500 http://es.archive.ubuntu.com jaunty/main Packages
>> 100 /var/lib/dpkg/status
>> sun-java6-plugin:
>> Installed: 6-13-1
>> Candidate: 6-13-1
>> Version table:
>> *** 6-13-1 0
>> 500 http://es.archive.ubuntu.com jaunty/multiverse Packages
>> 100 /var/lib/dpkg/status
>> sun-java6-jre:
>> Installed: 6-13-1
>> Candidate: 6-13-1
>> Version table:
>> *** 6-13-1 0
>> 500 http://es.archive.ubuntu.com jaunty/multiverse Packages
>> 100 /var/lib/dpkg/status
>> sun-java6-bin:
>> Installed: 6-13-1
>> Candidate: 6-13-1
>> Version table:
>> *** 6-13-1 0
>> 500 http://es.archive.ubuntu.com jaunty/multiverse Packages
>> 100 /var/lib/dpkg/status
>
> I have all the same packages installed.
>
>> Please Brien, try to get a symbolized bactrace and attach the files
> I've requested in a previous post.
>
> How can I do that when the dbg[sym] packages are not in the repository
> as I previously wrote?
>

Not aware of that. Not at least in this thread :-)

However you can install the debug symbols for firefox, and xulrunner
from http://ddebs.ubuntu.com/pool/main/f/firefox-3.0/,
http://ddebs.ubuntu.com/pool/main/x/xulrunner-1.9/. Unfortunately we
don't have a package for the debug symbols of sun-java6*

Hilario J. Montoliu escribió:
> Brian J. Murrell escribió:
>>[...]
>>> Please Brien, try to get a symbolized bactrace and attach the files
>> I've requested in a previous post.
>>
>> How can I do that when the dbg[sym] packages are not in the repository
>> as I previously wrote?
>>
>

Ah, the mystery got resolved, Your post about missing debug symbols arrived later than the one I answered :-)

On Fri, 2009-04-17 at 18:57 +0000, Hilario J. Montoliu (hjmf) wrote:
>
> However you can install the debug symbols for firefox, and xulrunner
> from http://ddebs.ubuntu.com/pool/main/f/firefox-3.0/,
> http://ddebs.ubuntu.com/pool/main/x/xulrunner-1.9/.

Why are these not in the same repository as the firefox and
xulrunner-1.9 packages? Most other packages' dbgsym packages are in the
same repo.

Alexander Sack (asac) wrote :

Brian, having all dbg packages in the repo consumes space on all of our mirrors that can better be used differently. Hence we moved them to a separate space; also we autogenerate them. Anyway, there were issues for firefox in particular (not relevant for jaunty atm), so we will move back to the old -dbg approach for xulrunner 1.9.1/1.9.2 and ffox 3.5/3.6

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers